## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDOMParsedSourceHelper Class Reference

`#include <XercesDOMParsedSource.hpp>`

Inheritance diagram for XercesDOMParsedSourceHelper

Collaboration diagram for XercesDOMParsedSourceHelper:

List of all members.

## Public Methods

- XercesDOMParsedSourceHelper ()
- ~XercesDOMParsedSourceHelper ()
- virtual DOMSupport& getDOMSupport ()
    Get the DOMSupport instance. More...
- virtual XMLParserLiaison& getParserLiaison ()
    Get the XMLParserLiaison instance. More...

## Constructor & Destructor Documentation

XercesDOMParsedSourceHelper::XercesDOMParsedSourceHelper ( | )

XercesDOMParsedSourceHelper::~XercesDOMParsedSourceHelper ( | )

## Member Function Documentation

virtual DOMSupport& XercesDOMParsedSourceHelper::getDOMSupport ( | )`[virtual]`

Get the DOMSupport instance.

Returns:
  A reference to a DOMSupport instance.

Reimplemented from XalanParsedSourceHelper.

virtual XMLParserLiaison& XercesDOMParsedSourceHelper::getParserLiaison ( | )`[virtual]`

Get the XMLParserLiaison instance.

Returns:
  A rerefernce to an XMLParserLiaison instance.

Reimplemented from XalanParsedSourceHelper.

The documentation for this class was generated from the following file:

- XercesDOMParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.